package com.unis.module.coding.service.dwxx;

import javax.validation.*;

import com.unis.module.coding.controller.admin.delivery.vo.*;
import com.unis.module.coding.controller.admin.dwxx.vo.*;
import com.unis.module.coding.dal.dataobject.dwxx.DwxxDO;
import com.unis.framework.common.pojo.PageResult;

import java.util.List;
import java.util.Map;

/**
 * 单位信息 Service 接口
 *
 * @author 超级管理员
 */
public interface DwxxService {

    /**
     * 创建单位信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDwxx(@Valid DwxxSaveReqVO createReqVO);

    /**
     * 更新单位信息
     *
     * @param updateReqVO 更新信息
     */
    void updateDwxx(@Valid DwxxSaveReqVO updateReqVO);

    /**
     * 删除单位信息
     *
     * @param id 编号
     */
    void deleteDwxx(Long id);

    /**
     * 获得单位信息
     *
     * @param id 编号
     * @return 单位信息
     */
    DwxxDO getDwxx(Long id);

    /**
     * 获得单位信息分页
     *
     * @param pageReqVO 分页查询
     * @return 单位信息分页
     */
    PageResult<DwxxDO> getDwxxPage(DwxxPageReqVO pageReqVO);

    PageResult<DeliveryRespVO> getDeliveryPage(DeliveryPageReqVO pageReqVO);

    List<StoreRespVO> getStorePage(StorePageReqVO pageReqVO);

    void updateSelectedCaxx(CaxxUpdateReqVO updateReqVO);

    void revertCaxx(CaxxUpdateReqVO updateReqVO);

    void revertKqxx(CaxxUpdateReqVO updateReqVO);

    PageResult<SpareRespVO> getProvinceSelectedPage(SparePageReqVO pageReqVO);

    DwxxDO getDwxxByKqBm();

    void deleteceshi(Long id);
}